NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Tooling::SlugRetentionBuilder Class Reference

Represents a NXOpen::Tooling::SlugRetentionBuilder which is used to create the Slug Retention. More...

Inheritance diagram for NXOpen::Tooling::SlugRetentionBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::ExpressionAngularDimension ()
 Returns the angular dimension
Created in NX10.0.0. More...
 
NXOpen::DirectionOffsetDirection ()
 Returns the offset direction
Created in NX10.0.0. More...
 
double OffsetDistance ()
 Returns the offset distance
Created in NX10.0.0. More...
 
NXOpen::PartPreviousWorkPart ()
 Returns the previous work part
Created in NX10.0.0. More...
 
NXOpen::ExpressionRadiusDimension ()
 Returns the radius dimension
Created in NX10.0.0. More...
 
NXOpen::DirectionRotateDirection ()
 Returns the rotate direction
Created in NX10.0.0. More...
 
NXOpen::Assemblies::SelectComponentSelectComponent ()
 Returns the select component
Created in NX10.0.0. More...
 
NXOpen::PointSelectPoint ()
 Returns the select point
Created in NX10.0.0. More...
 
void SetOffsetDirection (NXOpen::Direction *offsetDirection)
 Sets the offset direction
Created in NX10.0.0. More...
 
void SetOffsetDistance (double offsetDistance)
 Sets the offset distance
Created in NX10.0.0. More...
 
void SetPreviousWorkPart (NXOpen::Part *previousWorkPart)
 Sets the previous work part
Created in NX10.0.0. More...
 
void SetRotateDirection (NXOpen::Direction *rotateDirection)
 Sets the rotate direction
Created in NX10.0.0. More...
 
void SetSelectPoint (NXOpen::Point *selectPoint)
 Sets the select point
Created in NX10.0.0. More...
 
void SetSlugRetentionFeature (NXOpen::Features::Feature *slugRetentionFeature)
 Sets the slug retention feature
Created in NX10.0.0. More...
 
void SetTargetBodyForSubtract (NXOpen::Body *targetBodyForSubtract)
 Sets the target body for subtract
Created in NX10.0.0. More...
 
NXOpen::GeometricUtilities::BooleanOperationSlugRetentionBooleanData ()
 Returns the slug retention boolean data
Created in NX10.0.0. More...
 
NXOpen::Features::FeatureSlugRetentionFeature ()
 Returns the slug retention feature
Created in NX10.0.0. More...
 
NXOpen::BodyTargetBodyForSubtract ()
 Returns the target body for subtract
Created in NX10.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Tooling::SlugRetentionBuilder which is used to create the Slug Retention.


To create a new instance of this class, use NXOpen::Tooling::ProgressiveDieManager::CreateSlugRetentionBuilder
Default values.

Property Value

AngularDimension.Value

5

OffsetDistance

5

RadiusDimension.Value

7 (millimeters part), 0.25 (inches part)


Created in NX10.0.0.

Member Function Documentation

NXOpen::Expression* NXOpen::Tooling::SlugRetentionBuilder::AngularDimension ( )

Returns the angular dimension
Created in NX10.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Tooling::SlugRetentionBuilder::OffsetDirection ( )

Returns the offset direction
Created in NX10.0.0.



License requirements : None

double NXOpen::Tooling::SlugRetentionBuilder::OffsetDistance ( )

Returns the offset distance
Created in NX10.0.0.



License requirements : None

NXOpen::Part* NXOpen::Tooling::SlugRetentionBuilder::PreviousWorkPart ( )

Returns the previous work part
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::SlugRetentionBuilder::RadiusDimension ( )

Returns the radius dimension
Created in NX10.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Tooling::SlugRetentionBuilder::RotateDirection ( )

Returns the rotate direction
Created in NX10.0.0.



License requirements : None

NXOpen::Assemblies::SelectComponent* NXOpen::Tooling::SlugRetentionBuilder::SelectComponent ( )

Returns the select component
Created in NX10.0.0.



License requirements : None

NXOpen::Point* NXOpen::Tooling::SlugRetentionBuilder::SelectPoint ( )

Returns the select point
Created in NX10.0.0.



License requirements : None

void NXOpen::Tooling::SlugRetentionBuilder::SetOffsetDirection ( NXOpen::Direction offsetDirection)

Sets the offset direction
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
offsetDirectionoffsetdirection
void NXOpen::Tooling::SlugRetentionBuilder::SetOffsetDistance ( double  offsetDistance)

Sets the offset distance
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
offsetDistanceoffsetdistance
void NXOpen::Tooling::SlugRetentionBuilder::SetPreviousWorkPart ( NXOpen::Part previousWorkPart)

Sets the previous work part
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
previousWorkPartpreviousworkpart
void NXOpen::Tooling::SlugRetentionBuilder::SetRotateDirection ( NXOpen::Direction rotateDirection)

Sets the rotate direction
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
rotateDirectionrotatedirection
void NXOpen::Tooling::SlugRetentionBuilder::SetSelectPoint ( NXOpen::Point selectPoint)

Sets the select point
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
selectPointselectpoint
void NXOpen::Tooling::SlugRetentionBuilder::SetSlugRetentionFeature ( NXOpen::Features::Feature slugRetentionFeature)

Sets the slug retention feature
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
slugRetentionFeatureslugretentionfeature
void NXOpen::Tooling::SlugRetentionBuilder::SetTargetBodyForSubtract ( NXOpen::Body targetBodyForSubtract)

Sets the target body for subtract
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
targetBodyForSubtracttargetbodyforsubtract
NXOpen::GeometricUtilities::BooleanOperation* NXOpen::Tooling::SlugRetentionBuilder::SlugRetentionBooleanData ( )

Returns the slug retention boolean data
Created in NX10.0.0.



License requirements : None

NXOpen::Features::Feature* NXOpen::Tooling::SlugRetentionBuilder::SlugRetentionFeature ( )

Returns the slug retention feature
Created in NX10.0.0.



License requirements : None

NXOpen::Body* NXOpen::Tooling::SlugRetentionBuilder::TargetBodyForSubtract ( )

Returns the target body for subtract
Created in NX10.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2012 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.